use leptos::prelude::*;
use thaw::*;

/// In charge of light/dark modes
#[component]
pub fn ThemeButton() -> impl IntoView {
    let theme = expect_context::<RwSignal<Theme>>();

    let icon = RwSignal::new(None);
    Effect::new(move |_| {
        if theme().name == "dark" {
            icon.set(Some(icondata::BsMoon));
        } else {
            icon.set(Some(icondata::BsSun));
        }
    });

    let on_click = move |_| {
        icon.update(|icon| {
            *icon = match icon {
                Some(data) => {
                    if *data == icondata::BsMoon {
                        theme.set(Theme::light());
                        icondata::BsSun
                    } else {
                        theme.set(Theme::dark());
                        icondata::BsMoon
                    }
                }
                None => {
                    theme.set(Theme::dark());
                    icondata::BsMoon
                }
            }
            .into();
        });
    };

    view! { <Button class="drop-shadow-md" icon on_click appearance=ButtonAppearance::Transparent /> }
}
